Calls
Get channel call settings
GET
/
v1
/
channels
/
{channelID}
/
call-settings
Get channel call settings
curl --request GET \
--url https://api.wazapin.com/v1/channels/{channelID}/call-settingsconst options = {method: 'GET'};
fetch('https://api.wazapin.com/v1/channels/{channelID}/call-settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.wazapin.com/v1/channels/{channelID}/call-settings"
response = requests.get(url)
print(response.text){
"callback_url": "<string>",
"enable_business_initiated_calls": true,
"graph_calling_ready": true,
"sip_enabled": true,
"active_calls_on_phone": 123,
"calling_status": "<string>",
"max_concurrent_per_phone": 123,
"restrictions": [
{
"type": "<string>",
"expiration": 123,
"reason": "<string>"
}
]
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}Path Parameters
Channel ID
⌘I
Get channel call settings
curl --request GET \
--url https://api.wazapin.com/v1/channels/{channelID}/call-settingsconst options = {method: 'GET'};
fetch('https://api.wazapin.com/v1/channels/{channelID}/call-settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.wazapin.com/v1/channels/{channelID}/call-settings"
response = requests.get(url)
print(response.text){
"callback_url": "<string>",
"enable_business_initiated_calls": true,
"graph_calling_ready": true,
"sip_enabled": true,
"active_calls_on_phone": 123,
"calling_status": "<string>",
"max_concurrent_per_phone": 123,
"restrictions": [
{
"type": "<string>",
"expiration": 123,
"reason": "<string>"
}
]
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}